Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1800207 - trousers: FTBFS in Fedora rawhide/f32
Summary: trousers: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: trousers
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry Snitselaar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 20:17 UTC by Fedora Release Engineering
Modified: 2020-06-16 21:27 UTC (History)
3 users (show)

Fixed In Version: trousers-0.3.13-15.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-16 21:27:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 20:17 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 20:17 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 20:17 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 20:17:48 UTC
trousers failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41322599


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix trousers at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
trousers will be orphaned. Before branching of Fedora 33,
trousers will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 20:17:51 UTC
Created attachment 1661247 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 20:17:53 UTC
Created attachment 1661248 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 20:17:55 UTC
Created attachment 1661249 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:43:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:26:09 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Fedora Release Engineering 2020-03-01 04:26:00 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 7 Fedora Release Engineering 2020-03-08 04:28:10 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 8 Jerry Snitselaar 2020-03-18 20:42:02 UTC
I've taken a look at this since no one else has yet. It looks like there is a simple fix. The global variables being complained about no longer used in the code. So the following patch that removes them resolves the issue:

commit b692f86a93c8f7e6ac938277a9aec434b02c252b (HEAD -> master)
Author: Jerry Snitselaar <jsnitsel>
Date:   Wed Mar 18 13:35:22 2020 -0700

    trousers: resolve build failure
    
    The global variables tcsd_sa_chld and tcsd_sa_int in tcsd.h are
    causing build failures in latest Fedora release:
    
    /usr/bin/ld: ../../src/tcs/libtcs.a(libtcs_a-tcsi_changeauth.o):/builddir/build/BUILD/trousers-0.3.13/src/tcs/../include/tcsd.h:169: multiple definition of `tcsd_sa_chld'; tcsd-svrside.o:/builddir/build/BUILD/trousers-0.3.13/src/tcsd/../../src/include/tcsd.h:169: first defined here
    /usr/bin/ld: ../../src/tcs/libtcs.a(libtcs_a-tcsi_changeauth.o):/builddir/build/BUILD/trousers-0.3.13/src/tcs/../include/tcsd.h:168: multiple definition of `tcsd_sa_int'; tcsd-svrside.o:/builddir/build/BUILD/trousers-0.3.13/src/tcsd/../../src/include/tcsd.h:168: first defined here
    
    They are no longer used since 9b40e581470b ("Improved daemon's signal
    handling") so just remove them.
    
    Signed-off-by: Jerry Snitselaar <jsnitsel>

diff --git a/src/include/tcsd.h b/src/include/tcsd.h
index 5b9462b85ed6..f5c286e01c86 100644
--- a/src/include/tcsd.h
+++ b/src/include/tcsd.h
@@ -164,10 +164,4 @@ TSS_RESULT tcsd_thread_create(int, char *);
 void      *tcsd_thread_run(void *);
 void      thread_signal_init();
 
-/* signal handling */
-#ifndef __APPLE__
-struct sigaction tcsd_sa_int;
-struct sigaction tcsd_sa_chld;
-#endif
-
 #endif

Comment 9 Jerry Snitselaar 2020-05-08 19:23:16 UTC
I've submitted a pull request that resolves this and rebases to the 3.14 release:

https://src.fedoraproject.org/rpms/trousers/pull-request/7


Because we still support trousers in RHEL for IBM we should keep it updated in Fedora.

Comment 10 Miro Hrončok 2020-06-08 12:54:17 UTC
Jerry, the trousers package is orphaned in Fedora.

"Because we still support trousers in RHEL for IBM we should keep it updated in Fedora." -> I suggest you claim the package in Fedora, and apply the fix.

Comment 11 Jerry Snitselaar 2020-06-09 08:27:43 UTC
It looks like my pull request was merged, and it looks like I was set as maintainer so I guess I don't need to go through the process of getting it removed from the orphan list?

With the new build, can I just close this current release?

Comment 12 Miro Hrončok 2020-06-09 08:43:18 UTC
Somebody gave it to you. It was not me. I suspect it was Igor Raits, because I saw the package was owned by him for a while. If by process you mean clicking the **take** button, then no, you don't need to go trough the process now.


> With the new build, can I just close this current release?

That is really up to you. This is tracked for Fedora 32. If you think it is worth it to rebuild and update the package in Fedora 32, do so. If not, close this.

Comment 13 Jerry Snitselaar 2020-06-16 21:27:44 UTC
Build fixed in 0.3.13-15.fc32.


Note You need to log in before you can comment on or make changes to this bug.